diff --git a/config/coreboot/w541_12mb/target.cfg b/config/coreboot/w541_12mb/target.cfg
index 5be15ac2fcd..96fbb9e3a18 100644
--- a/config/coreboot/w541_12mb/target.cfg
+++ b/config/coreboot/w541_12mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
@@ -7,4 +9,4 @@ grub_scan_disk="nvme ahci"
 grubtree="xhci"
 vcfg="haswell"
 build_depend="seabios/default grub/xhci memtest86plus u-boot/amd64coreboot"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/x200_16mb/target.cfg b/config/coreboot/x200_16mb/target.cfg
index 0b81f02fcfa..53a597b691b 100644
--- a/config/coreboot/x200_16mb/target.cfg
+++ b/config/coreboot/x200_16mb/target.cfg
@@ -1,7 +1,9 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/x200_4mb/target.cfg b/config/coreboot/x200_4mb/target.cfg
index 0b81f02fcfa..53a597b691b 100644
--- a/config/coreboot/x200_4mb/target.cfg
+++ b/config/coreboot/x200_4mb/target.cfg
@@ -1,7 +1,9 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/x200_8mb/target.cfg b/config/coreboot/x200_8mb/target.cfg
index 0b81f02fcfa..53a597b691b 100644
--- a/config/coreboot/x200_8mb/target.cfg
+++ b/config/coreboot/x200_8mb/target.cfg
@@ -1,7 +1,9 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/x220_8mb/target.cfg b/config/coreboot/x220_8mb/target.cfg
index 27291f4d84d..333030ce35d 100644
--- a/config/coreboot/x220_8mb/target.cfg
+++ b/config/coreboot/x220_8mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
@@ -5,4 +7,4 @@ payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
 vcfg="sandybridge"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/x230_12mb/target.cfg b/config/coreboot/x230_12mb/target.cfg
index c0b56379513..6cbab731440 100644
--- a/config/coreboot/x230_12mb/target.cfg
+++ b/config/coreboot/x230_12mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
@@ -5,4 +7,4 @@ payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
 vcfg="ivybridge"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/x230_16mb/target.cfg b/config/coreboot/x230_16mb/target.cfg
index c0b56379513..6cbab731440 100644
--- a/config/coreboot/x230_16mb/target.cfg
+++ b/config/coreboot/x230_16mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
@@ -5,4 +7,4 @@ payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
 vcfg="ivybridge"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/x230t_12mb/target.cfg b/config/coreboot/x230t_12mb/target.cfg
index c0b56379513..6cbab731440 100644
--- a/config/coreboot/x230t_12mb/target.cfg
+++ b/config/coreboot/x230t_12mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
@@ -5,4 +7,4 @@ payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
 vcfg="ivybridge"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/x230t_16mb/target.cfg b/config/coreboot/x230t_16mb/target.cfg
index c0b56379513..6cbab731440 100644
--- a/config/coreboot/x230t_16mb/target.cfg
+++ b/config/coreboot/x230t_16mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
@@ -5,4 +7,4 @@ payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
 vcfg="ivybridge"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/x301_16mb/target.cfg b/config/coreboot/x301_16mb/target.cfg
index a364653c357..4d4a4c258e8 100644
--- a/config/coreboot/x301_16mb/target.cfg
+++ b/config/coreboot/x301_16mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
@@ -5,4 +7,4 @@ payload_grub="y"
 payload_memtest="y"
 release="n"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/x301_4mb/target.cfg b/config/coreboot/x301_4mb/target.cfg
index a364653c357..4d4a4c258e8 100644
--- a/config/coreboot/x301_4mb/target.cfg
+++ b/config/coreboot/x301_4mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
@@ -5,4 +7,4 @@ payload_grub="y"
 payload_memtest="y"
 release="n"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/x301_8mb/target.cfg b/config/coreboot/x301_8mb/target.cfg
index a364653c357..4d4a4c258e8 100644
--- a/config/coreboot/x301_8mb/target.cfg
+++ b/config/coreboot/x301_8mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
@@ -5,4 +7,4 @@ payload_grub="y"
 payload_memtest="y"
 release="n"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/x60/target.cfg b/config/coreboot/x60/target.cfg
index 2661c6b2c0a..c1e3a3c628f 100644
--- a/config/coreboot/x60/target.cfg
+++ b/config/coreboot/x60/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
diff --git a/config/coreboot/x60_16mb/target.cfg b/config/coreboot/x60_16mb/target.cfg
index 2661c6b2c0a..c1e3a3c628f 100644
--- a/config/coreboot/x60_16mb/target.cfg
+++ b/config/coreboot/x60_16mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
diff --git a/config/data/coreboot/mkhelper.cfg b/config/data/coreboot/mkhelper.cfg
index a218e0e7545..624d4ec2a94 100644
--- a/config/data/coreboot/mkhelper.cfg
+++ b/config/data/coreboot/mkhelper.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 . "include/rom.sh"
 
 makeargs="UPDATED_SUBMODULES=1 CPUS=$XBMK_THREADS"
@@ -6,7 +8,7 @@ build_depend="seabios/default grub/default memtest86plus u-boot/amd64coreboot"
 seavgabiosrom="elf/seabios/default/libgfxinit/vgabios.bin"
 
 pv="payload_uboot payload_seabios payload_memtest payload_grub"
-pv="$pv payload_uboot_i386 payload_uboot_amd64"
+pv="$pv payload_uboot_i386 payload_uboot_amd64 payload_grubsea"
 v="initmode ubootelf grub_scan_disk uboot_config grubtree grubelf pname"
 v="$v displaymode tmprom newrom"
 eval `setvars "n" $pv`
diff --git a/config/data/grub/mkhelper.cfg b/config/data/grub/mkhelper.cfg
index b75cf9d77a2..5d66f42f98f 100644
--- a/config/data/grub/mkhelper.cfg
+++ b/config/data/grub/mkhelper.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 . "include/rom.sh"
 
 bootstrapargs="--gnulib-srcdir=gnulib/ --no-git"
diff --git a/config/data/grub/module/default b/config/data/grub/module/default
index 3555ad11694..1ee5327f3ac 100755
--- a/config/data/grub/module/default
+++ b/config/data/grub/module/default
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 # Install modules (installed, but not automatically loaded)
 grub_install_modules=" \
 hexdump \
diff --git a/config/data/grub/module/nvme b/config/data/grub/module/nvme
index 503c61c8e3d..a3a2847c7e0 100755
--- a/config/data/grub/module/nvme
+++ b/config/data/grub/module/nvme
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 # Install modules (installed, but not automatically loaded)
 grub_install_modules=" \
 hexdump \
diff --git a/config/data/grub/module/xhci b/config/data/grub/module/xhci
index 6235bbadd92..ee4d10f7e32 100755
--- a/config/data/grub/module/xhci
+++ b/config/data/grub/module/xhci
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 # Install modules (installed, but not automatically loaded)
 grub_install_modules=" \
 hexdump \
diff --git a/config/data/pcsx-redux/mkhelper.cfg b/config/data/pcsx-redux/mkhelper.cfg
index 379ad03242a..af744685964 100644
--- a/config/data/pcsx-redux/mkhelper.cfg
+++ b/config/data/pcsx-redux/mkhelper.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 . "include/rom.sh"
 
 postmake="copyps1bios"
diff --git a/config/data/pico-serprog/mkhelper.cfg b/config/data/pico-serprog/mkhelper.cfg
index e424e2f489d..f4733dd9b03 100644
--- a/config/data/pico-serprog/mkhelper.cfg
+++ b/config/data/pico-serprog/mkhelper.cfg
@@ -1,7 +1,10 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 . "include/rom.sh"
 
 sersrc="src/pico-serprog"
 serx="$sersrc/build/pico_serprog.uf2"
 picosdk="src/pico-sdk"
 serdir="$picosdk/src/boards/include/boards"
-premake="mkserprog rp2040"
+premake="mkserprog pico"
+picotool="$PWD/src/picotool/xbmkbin"
diff --git a/config/data/stm32-vserprog/mkhelper.cfg b/config/data/stm32-vserprog/mkhelper.cfg
index 8f45d7fd311..54b05cafbc8 100644
--- a/config/data/stm32-vserprog/mkhelper.cfg
+++ b/config/data/stm32-vserprog/mkhelper.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 . "include/rom.sh"
 
 sersrc="src/stm32-vserprog"
diff --git a/config/dependencies/arch b/config/dependencies/arch
index 4d624860f05..feb38d49f71 100644
--- a/config/dependencies/arch
+++ b/config/dependencies/arch
@@ -1,10 +1,12 @@
-pkg_add="pacman -S --needed --noconfirm"
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+pkg_add="pacman -S --needed"
 pkglist=" \
 acpica arm-none-eabi-binutils arm-none-eabi-gcc arm-none-eabi-newlib \
 autogen base-devel bison cmake curl device-mapper doxygen \
 dtc e2fsprogs flex freetype2 fuse2 gawk gcc-ada gdb gettext git \
 help2man innoextract libftdi libgpiod libjaylink libpciaccess libusb nasm \
-ncurses openssl p7zip ccache \
+ncurses openssl p7zip ccache less libx86 \
 pandoc parted pciutils perl perl-libwww python python-setuptools rsync \
 sharutils subversion swig texinfo ttf-dejavu unarchiver unzip wget xz zlib mtools \
 "
diff --git a/config/dependencies/debian b/config/dependencies/debian
index 04d018dccf0..00ccfc1ac7e 100755
--- a/config/dependencies/debian
+++ b/config/dependencies/debian
@@ -1,15 +1,17 @@
-pkg_add="apt-get -y install"
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+pkg_add="apt-get install $reinstall"
 pkglist=" \
 acpica-tools autoconf autogen automake autopoint autotools-dev bc \
 binutils-arm-none-eabi bison build-essential cmake curl device-tree-compiler \
 doxygen e2fsprogs efitools flex fonts-unifont gawk gcc-arm-linux-gnueabi \
 gcc-arm-none-eabi gdb gettext git gnat help2man innoextract libdevmapper-dev \
 libfdt-dev libfont-freetype-perl libfreetype-dev libftdi-dev libftdi1-dev libfuse-dev \
-libjaylink-dev libgnutls28-dev libgpiod-dev liblz4-tool liblzma-dev libncurses5-dev
+libjaylink-dev libgnutls28-dev libgpiod-dev lz4 liblz4-dev liblzma-dev libncurses5-dev
 libncurses-dev libnewlib-arm-none-eabi libopts25 libopts25-dev libpci-dev libpython3-dev \
 libsdl2-dev libselinux1-dev libssl-dev libtool libusb-1.0 libusb-1.0-0-dev \
 libusb-dev lz4 lzma lzma-alone m4 nasm openssl p7zip p7zip-full parted pciutils \
-perl pkg-config python3 python3-distutils python3-pkg-resources python3-pycryptodome \
+perl pkg-config python3 python3-distutils-extra python3-pkg-resources python3-pycryptodome \
 python3-pyelftools python3-setuptools python-is-python3 sharutils swig unar \
 unifont unifont-bin unzip uuid-dev wget xfonts-unifont zlib1g-dev ccache \
 g++-mipsel-linux-gnu make genisoimage mtools \
diff --git a/config/dependencies/fedora38 b/config/dependencies/fedora38
index dbd7932983f..a34bbbf0fa6 100755
--- a/config/dependencies/fedora38
+++ b/config/dependencies/fedora38
@@ -1,4 +1,6 @@
-pkg_add="dnf -y install"
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+pkg_add="dnf ${reinstall}install"
 pkglist=" \
 acpica-tools arm-none-eabi-binutils arm-none-eabi-gcc \
 arm-none-eabi-gcc arm-none-eabi-newlib autogen bison bzip2 cmake curl \
@@ -8,5 +10,5 @@ innoextract intltool libftdi-devel libselinux-devel libusb1 libusb1-devel \
 nasm ncurses-devel openssl-devel p7zip p7zip-plugins pandoc parted \
 pciutils-devel perl perl-libwww-perl python-unversioned-command python3 \
 python3-setuptools rsync sharutils subversion texinfo unar unifont \
-unifont-fonts unifont-ttf-fonts unzip wget xz zlib-devel ccache swig geteltorito mtools \
+unifont-fonts unifont-ttf-fonts unzip wget xz zlib-devel ccache swig \
 "
diff --git a/config/dependencies/fedora40 b/config/dependencies/fedora40
index 325267521d8..3ca84aa0f07 100755
--- a/config/dependencies/fedora40
+++ b/config/dependencies/fedora40
@@ -1,4 +1,6 @@
-pkg_add="dnf -y install"
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+pkg_add="dnf ${reinstall}install"
 pkglist=" \
 acpica-tools arm-none-eabi-binutils arm-none-eabi-gcc \
 arm-none-eabi-gcc arm-none-eabi-newlib autogen bison bzip2 cmake curl \
@@ -9,5 +11,5 @@ libselinux-devel libusb1 libusb1-devel nasm ncurses-devel openssl-devel \
 p7zip p7zip-plugins pandoc parted pciutils-devel perl perl-libwww-perl \
 python-unversioned-command python3 python3-setuptools rsync sharutils \
 subversion systemd-devel texinfo unar unifont unifont-fonts \
-unifont-ttf-fonts unzip wget xz zlib-devel ccache swig python3-devel geteltorito mtools \
+unifont-ttf-fonts unzip wget xz zlib-devel ccache swig python3-devel \
 "
diff --git a/config/dependencies/fedora41 b/config/dependencies/fedora41
index e051c665140..4c06b19979e 100755
--- a/config/dependencies/fedora41
+++ b/config/dependencies/fedora41
@@ -1,4 +1,6 @@
-pkg_add="dnf -y install"
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+pkg_add="dnf ${reinstall}install"
 pkglist=" \
 acpica-tools arm-none-eabi-binutils arm-none-eabi-gcc arm-none-eabi-gcc-cs-c++ \
 arm-none-eabi-gcc arm-none-eabi-newlib autogen bison bzip2 cmake curl \
@@ -8,6 +10,7 @@ innoextract intltool libftdi-devel libgpiod-devel libjaylink-devel \
 libselinux-devel libusb1 libusb1-devel nasm ncurses-devel openssl-devel openssl-devel-engine \
 p7zip p7zip-plugins pandoc parted pciutils-devel perl perl-libwww-perl \
 python-unversioned-command python3 python3-setuptools rsync sharutils \
-subversion systemd-devel texinfo unar unifont unifont-fonts \
-unifont-ttf-fonts unzip wget xz zlib-devel ccache swig python3-devel mtools geteltorito mtools \
+subversion systemd-devel texinfo unar unifont unifont-fonts uuid-devel \
+unifont-ttf-fonts unzip wget xz zlib-devel ccache swig python3-devel \
+libuuid-devel \
 "
diff --git a/config/dependencies/parabola b/config/dependencies/parabola
index d62caf21e01..eb7115f776e 100644
--- a/config/dependencies/parabola
+++ b/config/dependencies/parabola
@@ -1,13 +1,15 @@
-pkg_add="pacman -S --needed --noconfirm"
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+pkg_add="pacman -S --needed"
 pkglist=" \
 acpica arm-none-eabi-binutils arm-none-eabi-gcc arm-none-eabi-newlib \
 autogen base-devel bdf-unifont bison cmake curl device-mapper doxygen \
 dtc e2fsprogs flex freetype2 fuse2 gawk gcc-ada gdb gettext git \
 help2man innoextract libftdi libgpiod libjaylink libpciaccess libusb nasm \
-ncurses openssl p7zip \
+ncurses openssl p7zip less libx86 \
 pandoc parted pciutils perl perl-libwww python python-setuptools rsync \
 sharutils subversion swig texinfo ttf-dejavu unarchiver unifont-utils unzip \
-wget xz zlib ccache mtools \
+wget xz zlib ccache \
 "
 
-aur_notice="cross-mipsel-linux-gnu-binutils cross-mipsel-linux-gnu-gcc geteltorito"
+aur_notice="cross-mipsel-linux-gnu-binutils cross-mipsel-linux-gnu-gcc"
diff --git a/config/dependencies/trisquel b/config/dependencies/trisquel
index 027c7ef1f2d..fb364c280e1 100755
--- a/config/dependencies/trisquel
+++ b/config/dependencies/trisquel
@@ -1,11 +1,13 @@
-pkg_add="apt-get -y install"
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+pkg_add="apt-get install $reinstall"
 pkglist=" \
 autoconf autogen automake autopoint autotools-dev bc binutils-arm-none-eabi \
 bison build-essential cmake curl device-tree-compiler doxygen e2fsprogs efitools \
 flex gawk gcc-arm-linux-gnueabi gcc-arm-none-eabi gdb gettext git gnat help2man \
 innoextract libdevmapper-dev libfdt-dev libfont-freetype-perl libfreetype6-dev \
-libftdi-dev libfuse-dev libgnutls28-dev libgpiod-dev libjaylink-dev liblz4-tool \
-liblzma-dev libncurses5-dev ccache \
+libftdi-dev libfuse-dev libgnutls28-dev libgpiod-dev libjaylink-dev \
+liblzma-dev libncurses5-dev ccache lz4 liblz4-dev \
 libncurses-dev libnewlib-arm-none-eabi libopts25 libopts25-dev libpci-dev \
 libpython3-dev libsdl2-dev libselinux1-dev libssl-dev libtool libusb-1.0-0 \
 libusb-1.0-0-dev lz4 lzma lzma-alone m4 nasm openssl p7zip p7zip-full parted \
diff --git a/config/dependencies/ubuntu2004 b/config/dependencies/ubuntu2004
index c9d8a55006f..ce69a4d9cce 100755
--- a/config/dependencies/ubuntu2004
+++ b/config/dependencies/ubuntu2004
@@ -1,10 +1,12 @@
-pkg_add="apt-get -y install"
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+pkg_add="apt-get install $reinstall"
 pkglist=" \
 autoconf autogen automake autopoint autotools-dev bc binutils-arm-none-eabi \
 bison build-essential cmake curl device-tree-compiler doxygen e2fsprogs efitools \
 flex gawk gcc-arm-linux-gnueabi gcc-arm-none-eabi gdb gettext git gnat help2man \
 innoextract libdevmapper-dev libfdt-dev libfont-freetype-perl libfreetype6-dev \
-libftdi-dev libfuse-dev libgnutls28-dev liblz4-tool liblzma-dev libncurses5-dev \
+libftdi-dev libfuse-dev libgnutls28-dev lz4 liblz4-dev liblzma-dev libncurses5-dev \
 libncurses-dev libnewlib-arm-none-eabi libopts25 libopts25-dev libpci-dev \
 libpython3-dev libsdl2-dev libselinux1-dev libssl-dev libtool libusb-1.0-0 \
 libusb-1.0-0-dev lz4 lzma lzma-alone m4 nasm openssl p7zip p7zip-full parted \
diff --git a/config/dependencies/ubuntu2404 b/config/dependencies/ubuntu2404
index 9f33964a3d3..b0633e6941a 100755
--- a/config/dependencies/ubuntu2404
+++ b/config/dependencies/ubuntu2404
@@ -1,10 +1,12 @@
-pkg_add="apt-get -y install"
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+pkg_add="apt-get install $reinstall"
 pkglist=" \
 autoconf autogen automake autopoint autotools-dev bc binutils-arm-none-eabi \
 bison build-essential cmake curl device-tree-compiler doxygen e2fsprogs efitools \
 flex gawk gcc-arm-linux-gnueabi gcc-arm-none-eabi gdb gettext git gnat help2man \
 innoextract libdevmapper-dev libfdt-dev libfont-freetype-perl libfreetype6-dev \
-libftdi-dev libfuse-dev libgnutls28-dev liblz4-tool liblzma-dev libncurses5-dev \
+libftdi-dev libfuse-dev libgnutls28-dev lz4 liblz4-dev liblzma-dev libncurses5-dev \
 libncurses-dev libnewlib-arm-none-eabi libopts25 libopts25-dev libpci-dev \
 libpython3-dev libsdl2-dev libselinux1-dev libssl-dev libtool libusb-1.0-0 \
 libusb-1.0-0-dev lz4 lzma lzma-alone m4 nasm openssl p7zip p7zip-full parted \
diff --git a/config/dependencies/void b/config/dependencies/void
index 44a5676b758..a02d706ebb7 100644
--- a/config/dependencies/void
+++ b/config/dependencies/void
@@ -1,4 +1,6 @@
-pkg_add="xbps-install -y"
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+pkg_add="xbps-install"
 pkglist=" \
 acpica-utils autogen base-devel bison cmake \
 cross-arm-none-eabi-binutils cross-arm-none-eabi-gcc \
@@ -8,5 +10,5 @@ freetype freetype-devel fuse gawk gcc-ada gdb gettext gettext-devel git \
 help2man innoextract libftdi1 libpciaccess libusb nasm ncurses \
 ncurses-devel openssl openssl-devel p7zip parted pciutils perl perl-LWP \
 python python3 python3-setuptools rsync sharutils subversion texinfo \
-unar unzip wget xz zlib ccache geteltorito mtools
+unar unzip wget xz zlib ccache \
 "
diff --git a/config/flashprog/target.cfg b/config/flashprog/target.cfg
new file mode 100644
index 00000000000..2d9243b78ba
--- /dev/null
+++ b/config/flashprog/target.cfg
@@ -0,0 +1,3 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+makeargs="WARNERROR=no"
diff --git a/config/git/bios_extract/pkg.cfg b/config/git/bios_extract/pkg.cfg
index e77bf0a59d1..8489f385308 100644
--- a/config/git/bios_extract/pkg.cfg
+++ b/config/git/bios_extract/pkg.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 rev="0a7bc1d71735ef97b00dfec0fd54a02fcc5d1bb0"
 url="https://review.coreboot.org/bios_extract"
 bkup_url="https://github.com/coreboot/bios_extract"
diff --git a/config/git/biosutilities/pkg.cfg b/config/git/biosutilities/pkg.cfg
index a1c0201578e..7b9ea9d6cd5 100644
--- a/config/git/biosutilities/pkg.cfg
+++ b/config/git/biosutilities/pkg.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 rev="03ae0cf0706ede5a2a15da0986c19c776d0e6b26"
 url="https://codeberg.org/libreboot/BIOSUtilities"
 bkup_url="https://github.com/platomav/BIOSUtilities"
diff --git a/config/git/coreboot/pkg.cfg b/config/git/coreboot/pkg.cfg
index f4ed31e8c36..2a23ee5cf89 100644
--- a/config/git/coreboot/pkg.cfg
+++ b/config/git/coreboot/pkg.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 rev="HEAD"
 url="https://review.coreboot.org/coreboot"
 bkup_url="https://github.com/coreboot/coreboot.git"
diff --git a/config/git/deguard/pkg.cfg b/config/git/deguard/pkg.cfg
index f6d24cf60fe..300417cae0b 100644
--- a/config/git/deguard/pkg.cfg
+++ b/config/git/deguard/pkg.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 rev="de176a7f20650b272a01efb633931a63128c1647"
 url="https://review.coreboot.org/deguard"
 bkup_url="https://codeberg.org/libreboot/deguard"
diff --git a/config/git/docs/pkg.cfg b/config/git/docs/pkg.cfg
index 9913ee5ffcd..144292fd598 100644
--- a/config/git/docs/pkg.cfg
+++ b/config/git/docs/pkg.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 rev="e72d055915c3a9ffe739982946e101b146b2483c"
 url="https://codeberg.org/vimuser/untitled"
 bkup_url="https://notabug.org/untitled/untitled"
diff --git a/config/git/flashprog/pkg.cfg b/config/git/flashprog/pkg.cfg
index ff45c7b6905..6cfbdb389e1 100644
--- a/config/git/flashprog/pkg.cfg
+++ b/config/git/flashprog/pkg.cfg
@@ -1,3 +1,5 @@
-rev="d128a0ae87086b37c0e5d7a8d934bcdee173402f"
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+rev="eb2c04185f8f471c768b742d66e4c552effdd9cb"
 url="https://review.sourcearcade.org/flashprog"
 bkup_url="https://github.com/SourceArcade/flashprog.git"
diff --git a/config/git/gpio-scripts/pkg.cfg b/config/git/gpio-scripts/pkg.cfg
index 60963e9dbb7..be491070591 100644
--- a/config/git/gpio-scripts/pkg.cfg
+++ b/config/git/gpio-scripts/pkg.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 rev="be2de1233a70e3cf05ad17b008fd85c862b1ecf9"
 url="https://codeberg.org/libreboot/gpio-scripts"
 bkup_url="https://git.disroot.org/libreboot/gpio-scripts"
diff --git a/config/git/grub/pkg.cfg b/config/git/grub/pkg.cfg
index ed26a766a50..88bc45d83bb 100644
--- a/config/git/grub/pkg.cfg
+++ b/config/git/grub/pkg.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 rev="HEAD"
 url="git://git.savannah.gnu.org/grub.git"
 bkup_url="https://codeberg.org/libreboot/grub"
diff --git a/config/git/int/pkg.cfg b/config/git/int/pkg.cfg
index d3c2958aea8..367acc9ba72 100644
--- a/config/git/int/pkg.cfg
+++ b/config/git/int/pkg.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 rev="d1ac570549f00477d9ade21807f42f28a4864fcd"
 url="https://codeberg.org/libreboot/int"
 bkup_url="https://git.disroot.org/libreboot/int"
diff --git a/config/git/memtest86plus/pkg.cfg b/config/git/memtest86plus/pkg.cfg
index 4bf4429479e..07887ab7d38 100644
--- a/config/git/memtest86plus/pkg.cfg
+++ b/config/git/memtest86plus/pkg.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 rev="5dcd424ea7afb857c1171e747ef064d98d26afeb"
 url="https://codeberg.org/libreboot/memtest86plus"
 bkup_url="https://github.com/memtest86plus/memtest86plus.git"
diff --git a/config/git/mxmdump/pkg.cfg b/config/git/mxmdump/pkg.cfg
index 19ede8d8b69..792a7cfdea8 100644
--- a/config/git/mxmdump/pkg.cfg
+++ b/config/git/mxmdump/pkg.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 rev="ab3393c84fd3de01793bbfa2ec4caddfe0dc44f6"
 url="https://codeberg.org/libreboot/mxmdump"
 bkup_url="https://git.disroot.org/libreboot/mxmdump"
diff --git a/config/git/pcsx-redux/pkg.cfg b/config/git/pcsx-redux/pkg.cfg
index 0ae9a205722..88443cb3e2f 100644
--- a/config/git/pcsx-redux/pkg.cfg
+++ b/config/git/pcsx-redux/pkg.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 rev="6ec5348058413619b290b069adbdae68180ce8c0"
 url="https://github.com/grumpycoders/pcsx-redux"
 bkup_url="https://codeberg.org/vimuser/pcsx-redux"
diff --git a/config/git/pico-sdk/pkg.cfg b/config/git/pico-sdk/pkg.cfg
index 68b5bca6b16..8af13d09f97 100644
--- a/config/git/pico-sdk/pkg.cfg
+++ b/config/git/pico-sdk/pkg.cfg
@@ -1,3 +1,5 @@
-rev="6a7db34ff63345a7badec79ebea3aaef1712f374"
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+rev="95ea6acad131124694cda1c162c52cd30e0aece0"
 url="https://codeberg.org/libreboot/pico-sdk"
 bkup_url="https://github.com/raspberrypi/pico-sdk"
diff --git a/config/git/pico-serprog/pkg.cfg b/config/git/pico-serprog/pkg.cfg
index 54c5fa44de7..64c26297333 100644
--- a/config/git/pico-serprog/pkg.cfg
+++ b/config/git/pico-serprog/pkg.cfg
@@ -1,4 +1,6 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 rev="e75e3a20e63269a5e3189bc2e49a6a81d45a636a"
 url="https://codeberg.org/libreboot/pico-serprog"
 bkup_url="https://git.disroot.org/libreboot/pico-serprog"
-depend="pico-sdk"
+depend="pico-sdk picotool"
diff --git a/config/git/picotool/pkg.cfg b/config/git/picotool/pkg.cfg
new file mode 100644
index 00000000000..3711ce04873
--- /dev/null
+++ b/config/git/picotool/pkg.cfg
@@ -0,0 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+rev="df21059f7ca6f1babc7f1f3b92122cacffc85951"
+url="https://github.com/raspberrypi/picotool"
+bkup_url="https://codeberg.org/libreboot/picotool"
diff --git a/config/git/seabios/pkg.cfg b/config/git/seabios/pkg.cfg
index d8c6932b0b8..0ee91a00776 100644
--- a/config/git/seabios/pkg.cfg
+++ b/config/git/seabios/pkg.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 rev="HEAD"
 url="https://review.coreboot.org/seabios"
 bkup_url="https://github.com/coreboot/seabios"
diff --git a/config/git/stm32-vserprog/pkg.cfg b/config/git/stm32-vserprog/pkg.cfg
index 9fb12c634d6..9fc1de0c253 100644
--- a/config/git/stm32-vserprog/pkg.cfg
+++ b/config/git/stm32-vserprog/pkg.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 rev="8fcf0a4d41800631b571fa7bbd1d8b251f0a2111"
 url="https://codeberg.org/libreboot/stm32-vserprog"
 bkup_url="https://git.disroot.org/libreboot/stm32-vserprog"
diff --git a/config/git/u-boot/pkg.cfg b/config/git/u-boot/pkg.cfg
index e65ad63a873..ddccbc02360 100644
--- a/config/git/u-boot/pkg.cfg
+++ b/config/git/u-boot/pkg.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 rev="HEAD"
 url="https://source.denx.de/u-boot/u-boot.git"
 bkup_url="https://github.com/u-boot/u-boot.git"
diff --git a/config/git/uefitool/pkg.cfg b/config/git/uefitool/pkg.cfg
index 1602e6becfd..8b269666c03 100644
--- a/config/git/uefitool/pkg.cfg
+++ b/config/git/uefitool/pkg.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 rev="4a41c33596e9bc3ae812e763965d91ac57553e02"
 url="https://codeberg.org/libreboot/UEFITool"
 bkup_url="https://github.com/LongSoft/UEFITool"
diff --git a/config/grub/default/target.cfg b/config/grub/default/target.cfg
index c546b1f9243..300fdd7e93b 100644
--- a/config/grub/default/target.cfg
+++ b/config/grub/default/target.cfg
@@ -1,2 +1,4 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
-rev="b53ec06a1d6f22ffc1139cbfc0f292e4ca2da9cd"
+rev="6811f6f09d61996a3acbc4fc0414e45964f0e2d9"
diff --git a/config/grub/nvme/target.cfg b/config/grub/nvme/target.cfg
index 9177dbd7e87..ea4018df4b4 100644
--- a/config/grub/nvme/target.cfg
+++ b/config/grub/nvme/target.cfg
@@ -1,2 +1,4 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="nvme"
-rev="b53ec06a1d6f22ffc1139cbfc0f292e4ca2da9cd"
+rev="6811f6f09d61996a3acbc4fc0414e45964f0e2d9"
diff --git a/config/grub/xhci/target.cfg b/config/grub/xhci/target.cfg
index af33f65deb5..540f11f7e33 100644
--- a/config/grub/xhci/target.cfg
+++ b/config/grub/xhci/target.cfg
@@ -1,2 +1,4 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="xhci"
-rev="b53ec06a1d6f22ffc1139cbfc0f292e4ca2da9cd"
+rev="6811f6f09d61996a3acbc4fc0414e45964f0e2d9"
diff --git a/config/pcsx-redux/target.cfg b/config/pcsx-redux/target.cfg
index 21dc4b2d47d..36e2a0553aa 100644
--- a/config/pcsx-redux/target.cfg
+++ b/config/pcsx-redux/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 makeargs="-f lbmkbofhmakefile"
 cleanargs="-f lbmkbofhmakefile"
 mkhelper="copyps1bios"
diff --git a/config/seabios/default/target.cfg b/config/seabios/default/target.cfg
index f80b9db2492..9ff1db3e622 100644
--- a/config/seabios/default/target.cfg
+++ b/config/seabios/default/target.cfg
@@ -1,2 +1,4 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
-rev="62a1429ec1ec67f14c039d97627a6a7ef70a983c"
+rev="1602647f1be24fe63d11138d802e735c8e674e63"
diff --git a/config/submodule/coreboot/coreboot413/vboot/module.cfg b/config/submodule/coreboot/coreboot413/vboot/module.cfg
index 34656ba96dc..79c98870a17 100644
--- a/config/submodule/coreboot/coreboot413/vboot/module.cfg
+++ b/config/submodule/coreboot/coreboot413/vboot/module.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 subrepo="https://review.coreboot.org/vboot.git"
 subrepo_bkup="https://github.com/coreboot/vboot"
 subhash="4c523ed10f25de872ac0513ebd6ca53d3970b9de"
diff --git a/config/submodule/coreboot/default/acpica-unix-20230628.tar.gz/module.cfg b/config/submodule/coreboot/default/acpica-unix-20230628.tar.gz/module.cfg
index 6dde459a6f5..aec8ffbaee1 100644
--- a/config/submodule/coreboot/default/acpica-unix-20230628.tar.gz/module.cfg
+++ b/config/submodule/coreboot/default/acpica-unix-20230628.tar.gz/module.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 subfile="https://www.mirrorservice.org/sites/libreboot.org/release/misc/acpica/acpica-unix-20230628.tar.gz"
 subfile_bkup="https://mirror.math.princeton.edu/pub/libreboot/misc/acpica/acpica-unix-20230628.tar.gz"
 subhash="d726e69ebd8b8110690e3aff8d1919b43b0a2185efdeb9131ea8d89d321ca3a318a89c721ea740ae366f31ed3d1c11c2906f8807ee8a190e6f67fe5b2023cea4"
diff --git a/config/submodule/coreboot/default/arm-trusted-firmware/module.cfg b/config/submodule/coreboot/default/arm-trusted-firmware/module.cfg
index d7864542790..ef9a598f4d3 100644
--- a/config/submodule/coreboot/default/arm-trusted-firmware/module.cfg
+++ b/config/submodule/coreboot/default/arm-trusted-firmware/module.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 subrepo="https://review.coreboot.org/arm-trusted-firmware.git"
 subrepo_bkup="https://github.com/coreboot/arm-trusted-firmware"
 subhash="c5b8de86c8838d08d5d8c9d67c7a432817ee62b8"
